/**
 * <copyright>
 * </copyright>
 *

 */
package jp.ac.jaist.kslab.e4.dsl.e4Dsl.util;

import jp.ac.jaist.kslab.e4.dsl.e4Dsl.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.E4DslPackage
 * @generated
 */
public class E4DslAdapterFactory extends AdapterFactoryImpl
{
  /**
   * The cached model package.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected static E4DslPackage modelPackage;

  /**
   * Creates an instance of the adapter factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public E4DslAdapterFactory()
  {
    if (modelPackage == null)
    {
      modelPackage = E4DslPackage.eINSTANCE;
    }
  }

  /**
   * Returns whether this factory is applicable for the type of the object.
   * <!-- begin-user-doc -->
   * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
   * <!-- end-user-doc -->
   * @return whether this factory is applicable for the type of the object.
   * @generated
   */
  @Override
  public boolean isFactoryForType(Object object)
  {
    if (object == modelPackage)
    {
      return true;
    }
    if (object instanceof EObject)
    {
      return ((EObject)object).eClass().getEPackage() == modelPackage;
    }
    return false;
  }

  /**
   * The switch that delegates to the <code>createXXX</code> methods.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected E4DslSwitch<Adapter> modelSwitch =
    new E4DslSwitch<Adapter>()
    {
      @Override
      public Adapter caseApplication(Application object)
      {
        return createApplicationAdapter();
      }
      @Override
      public Adapter caseAbsWindow(AbsWindow object)
      {
        return createAbsWindowAdapter();
      }
      @Override
      public Adapter caseWindow(Window object)
      {
        return createWindowAdapter();
      }
      @Override
      public Adapter caseTrimmedWindow(TrimmedWindow object)
      {
        return createTrimmedWindowAdapter();
      }
      @Override
      public Adapter caseAbsPart(AbsPart object)
      {
        return createAbsPartAdapter();
      }
      @Override
      public Adapter casePart(Part object)
      {
        return createPartAdapter();
      }
      @Override
      public Adapter caseXWTPart(XWTPart object)
      {
        return createXWTPartAdapter();
      }
      @Override
      public Adapter caseLayout(Layout object)
      {
        return createLayoutAdapter();
      }
      @Override
      public Adapter caseAbsControls(AbsControls object)
      {
        return createAbsControlsAdapter();
      }
      @Override
      public Adapter caseControls(Controls object)
      {
        return createControlsAdapter();
      }
      @Override
      public Adapter caseBrowser(Browser object)
      {
        return createBrowserAdapter();
      }
      @Override
      public Adapter caseButton(Button object)
      {
        return createButtonAdapter();
      }
      @Override
      public Adapter caseCCombo(CCombo object)
      {
        return createCComboAdapter();
      }
      @Override
      public Adapter caseCLabel(CLabel object)
      {
        return createCLabelAdapter();
      }
      @Override
      public Adapter caseCombo(Combo object)
      {
        return createComboAdapter();
      }
      @Override
      public Adapter caseDateTime(DateTime object)
      {
        return createDateTimeAdapter();
      }
      @Override
      public Adapter caseLabel(Label object)
      {
        return createLabelAdapter();
      }
      @Override
      public Adapter caseLink(Link object)
      {
        return createLinkAdapter();
      }
      @Override
      public Adapter caseList(List object)
      {
        return createListAdapter();
      }
      @Override
      public Adapter caseProgressBar(ProgressBar object)
      {
        return createProgressBarAdapter();
      }
      @Override
      public Adapter caseSash(Sash object)
      {
        return createSashAdapter();
      }
      @Override
      public Adapter caseScale(Scale object)
      {
        return createScaleAdapter();
      }
      @Override
      public Adapter caseSlider(Slider object)
      {
        return createSliderAdapter();
      }
      @Override
      public Adapter caseSpinner(Spinner object)
      {
        return createSpinnerAdapter();
      }
      @Override
      public Adapter caseSeparator(Separator object)
      {
        return createSeparatorAdapter();
      }
      @Override
      public Adapter caseStyledText(StyledText object)
      {
        return createStyledTextAdapter();
      }
      @Override
      public Adapter caseText(Text object)
      {
        return createTextAdapter();
      }
      @Override
      public Adapter caseSize(Size object)
      {
        return createSizeAdapter();
      }
      @Override
      public Adapter caseCommand(Command object)
      {
        return createCommandAdapter();
      }
      @Override
      public Adapter caseBinding(Binding object)
      {
        return createBindingAdapter();
      }
      @Override
      public Adapter caseAbsMenu(AbsMenu object)
      {
        return createAbsMenuAdapter();
      }
      @Override
      public Adapter caseMenu(Menu object)
      {
        return createMenuAdapter();
      }
      @Override
      public Adapter caseHandledMenuItem(HandledMenuItem object)
      {
        return createHandledMenuItemAdapter();
      }
      @Override
      public Adapter caseDirectMenuItem(DirectMenuItem object)
      {
        return createDirectMenuItemAdapter();
      }
      @Override
      public Adapter caseToolBar(ToolBar object)
      {
        return createToolBarAdapter();
      }
      @Override
      public Adapter caseToolItem(ToolItem object)
      {
        return createToolItemAdapter();
      }
      @Override
      public Adapter defaultCase(EObject object)
      {
        return createEObjectAdapter();
      }
    };

  /**
   * Creates an adapter for the <code>target</code>.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param target the object to adapt.
   * @return the adapter for the <code>target</code>.
   * @generated
   */
  @Override
  public Adapter createAdapter(Notifier target)
  {
    return modelSwitch.doSwitch((EObject)target);
  }


  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Application <em>Application</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Application
   * @generated
   */
  public Adapter createApplicationAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.AbsWindow <em>Abs Window</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.AbsWindow
   * @generated
   */
  public Adapter createAbsWindowAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Window <em>Window</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Window
   * @generated
   */
  public Adapter createWindowAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.TrimmedWindow <em>Trimmed Window</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.TrimmedWindow
   * @generated
   */
  public Adapter createTrimmedWindowAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.AbsPart <em>Abs Part</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.AbsPart
   * @generated
   */
  public Adapter createAbsPartAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Part <em>Part</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Part
   * @generated
   */
  public Adapter createPartAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.XWTPart <em>XWT Part</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.XWTPart
   * @generated
   */
  public Adapter createXWTPartAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Layout <em>Layout</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Layout
   * @generated
   */
  public Adapter createLayoutAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.AbsControls <em>Abs Controls</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.AbsControls
   * @generated
   */
  public Adapter createAbsControlsAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Controls <em>Controls</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Controls
   * @generated
   */
  public Adapter createControlsAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Browser <em>Browser</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Browser
   * @generated
   */
  public Adapter createBrowserAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Button <em>Button</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Button
   * @generated
   */
  public Adapter createButtonAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.CCombo <em>CCombo</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.CCombo
   * @generated
   */
  public Adapter createCComboAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.CLabel <em>CLabel</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.CLabel
   * @generated
   */
  public Adapter createCLabelAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Combo <em>Combo</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Combo
   * @generated
   */
  public Adapter createComboAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.DateTime <em>Date Time</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.DateTime
   * @generated
   */
  public Adapter createDateTimeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Label <em>Label</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Label
   * @generated
   */
  public Adapter createLabelAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Link <em>Link</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Link
   * @generated
   */
  public Adapter createLinkAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.List <em>List</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.List
   * @generated
   */
  public Adapter createListAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.ProgressBar <em>Progress Bar</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.ProgressBar
   * @generated
   */
  public Adapter createProgressBarAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Sash <em>Sash</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Sash
   * @generated
   */
  public Adapter createSashAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Scale <em>Scale</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Scale
   * @generated
   */
  public Adapter createScaleAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Slider <em>Slider</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Slider
   * @generated
   */
  public Adapter createSliderAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Spinner <em>Spinner</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Spinner
   * @generated
   */
  public Adapter createSpinnerAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Separator <em>Separator</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Separator
   * @generated
   */
  public Adapter createSeparatorAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.StyledText <em>Styled Text</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.StyledText
   * @generated
   */
  public Adapter createStyledTextAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Text <em>Text</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Text
   * @generated
   */
  public Adapter createTextAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Size <em>Size</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Size
   * @generated
   */
  public Adapter createSizeAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Command <em>Command</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Command
   * @generated
   */
  public Adapter createCommandAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Binding <em>Binding</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Binding
   * @generated
   */
  public Adapter createBindingAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.AbsMenu <em>Abs Menu</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.AbsMenu
   * @generated
   */
  public Adapter createAbsMenuAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.Menu <em>Menu</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.Menu
   * @generated
   */
  public Adapter createMenuAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.HandledMenuItem <em>Handled Menu Item</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.HandledMenuItem
   * @generated
   */
  public Adapter createHandledMenuItemAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.DirectMenuItem <em>Direct Menu Item</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.DirectMenuItem
   * @generated
   */
  public Adapter createDirectMenuItemAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.ToolBar <em>Tool Bar</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.ToolBar
   * @generated
   */
  public Adapter createToolBarAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for an object of class '{@link jp.ac.jaist.kslab.e4.dsl.e4Dsl.ToolItem <em>Tool Item</em>}'.
   * <!-- begin-user-doc -->
   * This default implementation returns null so that we can easily ignore cases;
   * it's useful to ignore a case when inheritance will catch all the cases anyway.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @see jp.ac.jaist.kslab.e4.dsl.e4Dsl.ToolItem
   * @generated
   */
  public Adapter createToolItemAdapter()
  {
    return null;
  }

  /**
   * Creates a new adapter for the default case.
   * <!-- begin-user-doc -->
   * This default implementation returns null.
   * <!-- end-user-doc -->
   * @return the new adapter.
   * @generated
   */
  public Adapter createEObjectAdapter()
  {
    return null;
  }

} //E4DslAdapterFactory
